edu.isi.pegasus.planner.parser.pdax

## Class PDAXCallbackFactory

- java.lang.Object
- - edu.isi.pegasus.planner.parser.pdax.PDAXCallbackFactory

    public class PDAXCallbackFactory
    extends java.lang.Object

A factory class to load the appropriate DAX callback implementations that need to be passed to the DAX Parser.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` Package to prefix "just" class names with.

### Constructor Summary

Constructors
Constructor and Description
`PDAXCallbackFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Callback` `loadInstance(PegasusProperties properties, PlannerOptions options, java.lang.String directory)` Loads the implementing class corresponding to the type specified by the user.
`static Callback` `loadInstance(PegasusProperties properties, PlannerOptions options, java.lang.String directory, java.lang.String className)` Loads the implementing class corresponding to the type specified by the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

Package to prefix "just" class names with.

See Also:
  Constant Field Values

### Constructor Detail

#### PDAXCallbackFactory

    public PDAXCallbackFactory()

### Method Detail

#### loadInstance

    public static Callback loadInstance(PegasusProperties properties,
                                        PlannerOptions options,
                                        java.lang.String directory)
                                 throws PDAXCallbackFactoryException

Loads the implementing class corresponding to the type specified by the user. The properties object passed should not be null. The callback that is loaded, is the one referred to in the properties by the user.

Parameters:
  `directory` - the base level directory in which the output files are to be generated.
  `properties` - the `PegasusProperties` object containing all the properties required by Pegasus.
Returns:
  the instance of the class implementing this interface.
Throws:
  `PDAXCallbackFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`, `org.griphyn.cPlanner.common.PegasusProperties#getPartitionerDAXCallback()`

#### loadInstance

    public static Callback loadInstance(PegasusProperties properties,
                                        PlannerOptions options,
                                        java.lang.String directory,
                                        java.lang.String className)
                                 throws PDAXCallbackFactoryException

Loads the implementing class corresponding to the type specified by the user. The properties object passed should not be null. The callback that is loaded, is the one referred to by the className parameter passed.

Parameters:
  `properties` - the `PegasusProperties` object containing all the properties required by Pegasus. dag|noop|daglite.
  `options` - the `PlannerOptions` object containing the options passed to gencdag.
  `directory` - the directory where the pdax file and parititioned daxes reside.
  `className` - the name of the implementing class.
Returns:
  the instance of the class implementing this interface.
Throws:
  `PDAXCallbackFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`